/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	ステータスLOログクラス
//			変更履歴
//				2004/01/08	新規作成	二條智文
//
package jp.co.ntt.lms.lo;

/**
 * セッションLOログレコードクラスです。
 * LoLogSessionテーブルの1レコード文の情報を保持します。
 * @author T.Nijou
 * @version 0.0.0.1 2004/01/08
 */
public class LoLogSessionRecord implements java.io.Serializable
{
	// メンバ変数
	String	m_strFullScore = "";			// 満点
	String	m_strStudyStartDate = "";		// 開始日
	String	m_strResidanceTime = "";		// 累積滞在時間
	String	m_strPassday = "";				// 合格日
	String	m_strStudyEndDate = "";			// 修了日
	String	m_strHighScore = "";			// 最高点
	String	m_strLowScore = "";				// 最低点
	String	m_strExecisePoint = "";			// 得点
	String	m_strUserID = "";				// 人ID
	String	m_strLoID = "";					// LOID
	String	m_strSessionID = "";			// セッションID
	String	m_strLunchTimes = "";			// 学習回数

	/**
	 * コンストラクタ
	 **/
	public LoLogSessionRecord()
	{
		;
	}

	/**
	 * 満点設定
	 *
	 * @param strFullScore メンバ変数項目
	 **/
	public void setFullScore(String strFullScore)
	{
		m_strFullScore = strFullScore;
	}

	/**
	 * 満点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getFullScore()
	{
		return m_strFullScore;
	}

	/**
	 * 開始日設定
	 *
	 * @param strStart メンバ変数項目
	 **/
	public void setStudyStartDate(String strStart)
	{
		m_strStudyStartDate = strStart;
	}

	/**
	 * 開始日取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getStudyStartDate()
	{
		return m_strStudyStartDate;
	}

	/**
	 * 累計滞在時間設定
	 *
	 * @param strTime メンバ変数項目
	 **/
	public void setResidanceTime(String strTime)
	{
		m_strResidanceTime = strTime;
	}

	/**
	 * 累計滞在時間取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getResidanceTime()
	{
		return m_strResidanceTime;
	}

	/**
	 * 合格日設定
	 *
	 * @param strDay メンバ変数項目
	 **/
	public void setPassday(String strDay)
	{
		m_strPassday = strDay;
	}

	/**
	 * 合格日取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getPassday()
	{
		return m_strPassday;
	}

	/**
	 * 修了日設定
	 *
	 * @param strEnd メンバ変数項目
	 **/
	public void setStudyEndDate(String strEnd)
	{
		m_strStudyEndDate = strEnd;
	}

	/**
	 * 修了日取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getStudyEndDate()
	{
		return m_strStudyEndDate;
	}

	/**
	 * 最高点設定
	 *
	 * @param strHigh メンバ変数項目
	 **/
	public void setHighScore(String strHigh)
	{
		m_strHighScore = strHigh;
	}

	/**
	 * 最高点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getHighScore()
	{
		return m_strHighScore;
	}

	/**
	 * 最低点設定
	 *
	 * @param strLow メンバ変数項目
	 **/
	public void setLowScore(String strLow)
	{
		m_strLowScore = strLow;
	}

	/**
	 * 最低点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getLowScore()
	{
		return m_strLowScore;
	}

	/**
	 * 得点設定
	 *
	 * @param strPoint メンバ変数項目
	 **/
	public void setExecisePoint(String strPoint)
	{
		m_strExecisePoint = strPoint;
	}

	/**
	 * 得点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getExecisePoint()
	{
		return m_strExecisePoint;
	}

	/**
	 * 人ID設定
	 *
	 * @param strUser メンバ変数項目
	 **/
	public void setUserID(String strUser)
	{
		m_strUserID = strUser;
	}

	/**
	 * 人ID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUserID()
	{
		return m_strUserID;
	}

	/**
	 * LOID設定
	 *
	 * @param strLo メンバ変数項目
	 **/
	public void setLoID(String strLo)
	{
		m_strLoID = strLo;
	}

	/**
	 * LOID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getLoID()
	{
		return m_strLoID;
	}

	/**
	 * セッションID設定
	 *
	 * @param strSessionID メンバ変数項目
	 **/
	public void setSessionID(String strSessionID)
	{
		m_strSessionID = strSessionID;
	}

	/**
	 * セッションID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getSessionID()
	{
		return m_strSessionID;
	}

	/**
	 * 学習回数設定
	 *
	 * @param strStudyCount メンバ変数項目
	 **/
	public void setLunchTimes(String strLunchTimes)
	{
		m_strLunchTimes = strLunchTimes;
	}

	/**
	 * 学習回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getLunchTimes()
	{
		return m_strLunchTimes;
	}

}

